@mixin is {
  margin-top: 10px;
  padding-left: 10px;
  width: 250px;
  height: 30px;
  border-radius: 5px;
  border: .5px solid #ccc;
  outline: none;
}

.login-modal {
  position: fixed;
  z-index: 2;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background-color: #fff;
  
  font-family: Arial, "Helvetica Neue", Helvetica, sans-serif;
}

.login-action {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 350px;
  height: 330px;
  border-radius: 5px;
  border: 1px solid #dbdbdb;

  &__header {
    font-family: Lobster, Arial, "Helvetica Neue", Helvetica, sans-serif;
    font-weight: 100;
    font-size: 40px;
  }

  &__mail {
    @include is;
  }

  &__pass {
    @include is;
  }

  &__btn {
    @include is;
    padding-left: 0;
    background-color: #0095f6;
    color: white;
    width: 265px;
    height: 35px;
  }

  &__err {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 10px;
    width: 265px;
    height: 30px;
    border-radius: 5px;
    background-color: rgba(204, 68, 59, 0.5);
    border: 1px solid red;
    color: white;
  }

}

.photo-btn {

  .p-btn {
    width: 150px;
    height: 50px;
  }

  .apple-btn {
    margin-right: 10px;
  }

  .google-btn {
    margin-left: 10px;
  }
}

.dn {
  z-index: 0;
  opacity: 0 !important;
}